Index: trunk/doc/guide/Makefile
===================================================================
--- trunk/doc/guide/Makefile	(revision 4425)
+++ trunk/doc/guide/Makefile	(revision 4478)
@@ -1,3 +1,3 @@
-# $Id: Makefile,v 1.7 2003/07/20 17:00:51 fkr Exp $
+# $Id: Makefile,v 1.8 2004/01/06 09:19:36 fkr Exp $
 
 # To build DarwinPorts  guide files from the source docbook xml.
@@ -28,5 +28,5 @@
 
 SOURCEDIR?=		xml
-DOCBOOK_XSL?=	        ${prefix}/share/xsl/docbook-xsl/1.61.0
+DOCBOOK_XSL?=	        ${prefix}/share/xsl/docbook-xsl/
 HTMLDIR?=		html
 XHTMLDIR?=		xhtml
@@ -35,4 +35,5 @@
 XML_CATALOG_FILES?=    ${prefix}/etc/xml/catalog
 XML_DEBUG_CATALOG?=
+STRINGPARAMS?=		--stringparam html.stylesheet docbook.css 
 
 .PHONY : all
@@ -53,5 +54,5 @@
 xhtml: 
 	mkdir -p ${XHTMLDIR}
-	xsltproc --xinclude -o "${XHTMLDIR}/" "${XSTYLESHEET}" "${SOURCEDIR}/guide.xml"
+	xsltproc --xinclude ${STRINGPARAMS} -o "${XHTMLDIR}/" "${XSTYLESHEET}" "${SOURCEDIR}/guide.xml"
 
 all: html xhtml tidy
